## gtk3-nocsd 3

=== Makefile ===
--- 
+++ 
@@ -5,15 +5,17 @@
 CFLAGS_LIB = $(filter-out -fPIE -fpie -pie,$(CFLAGS)) -fPIC
 LDFLAGS_LIB = $(filter-out -fPIE -fpie -pie,$(LDFLAGS)) -fPIC
 
-prefix ?= /usr/local
-libdir ?= $(prefix)/lib
-bindir ?= $(prefix)/bin
-mandir ?= $(prefix)/share/man
+prefix            ?= /usr/local
+libdir            ?= $(prefix)/lib
+bindir            ?= $(prefix)/bin
+datadir           ?= ${prefix}/share
+mandir            ?= $(datadir)/man
+bashcompletiondir ?= ${datadir}/bash-completion/completions
 
 all: libgtk3-nocsd.so.0 gtk3-nocsd
 
 clean:
-	rm -f libgtk3-nocsd.so.0 *.o gtk3-nocsd test-static-tls *~
+	rm -f libgtk3-nocsd.so.0 *.o gtk3-nocsd test-static-tls test-now *~
 	[ ! -d testlibs ] || rm -r testlibs
 
 libgtk3-nocsd.so.0: gtk3-nocsd.o
@@ -30,8 +32,14 @@
 	install -D -m 0644 libgtk3-nocsd.so.0 $(DESTDIR)$(libdir)/libgtk3-nocsd.so.0
 	install -D -m 0755 gtk3-nocsd $(DESTDIR)$(bindir)/gtk3-nocsd
 	install -D -m 0644 gtk3-nocsd.1 $(DESTDIR)$(mandir)/man1/gtk3-nocsd.1
+	install -D -m 0644 gtk3-nocsd.bash-completion $(DESTDIR)$(bashcompletiondir)/gtk3-nocsd
 
-check: libgtk3-nocsd.so.0 testlibs/stamp test-static-tls
+check: libgtk3-nocsd.so.0 testlibs/stamp test-static-tls test-now
+	@echo "RUNNING: test-symbols"
+	@# Force LD_BIND_NOW to make sure we don't accidentally import
+	@# any symbols from glib/gdk/gtk directly. (This ensures
+	@# compatibility with software that is linked with -Wl,-z,now.)
+	@LD_PRELOAD=./libgtk3-nocsd.so.0 LD_BIND_NOW=1 ./test-now
 	@echo "RUNNING: test-static-tls"
 	@[ "$$(LD_PRELOAD= ./test-static-tls none)" = "$$(LD_PRELOAD=./libgtk3-nocsd.so.0 ./test-static-tls gtk3-nocsd)" ] || \
 		{ echo "   Without any library preloaded: can dlopen() up to the following number of libraries with static TLS:" ; \
@@ -59,3 +67,6 @@
 
 test-static-tls: test-static-tls.o
 	$(CC) $(CFLAGS) $(LDFLAGS) -o test-static-tls test-static-tls.o $(LDLIBS)
+
+test-now: test-now.o
+	$(CC) $(CFLAGS) $(LDFLAGS) -o test-now test-now.o $(LDLIBS)
