=== debian/changelog ===
gtk3-nocsd (3-2) unstable; urgency=medium

  * Team upload of Debian team

  [ Christian Seiler ]
  * Xsession.d/01gtk3-nocsd: clarify comments about configuration
    Closes: #825989
  * Only cache gtk version check result if Gtk is loaded
    Closes: #886263

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.
    Closes: #1081071

  [ Khurshid Alam ]
  * Improve the session detection fixing broken headerbars and decorations
    (patch applied directly in debian/extra instead by quilt)
    Closes: #888306 (LP: #1745206)

  [ Andreas Tille ]
  * Fix watch file
  * Build-Depends: s/markdown/discount/
    Closes: #1073094
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix lintian overrides
  * libgtk3-nocsd0 should be Section: libs

 -- Andreas Tille <tille@debian.org>  Sat, 14 Sep 2024 16:11:08 +0200

gtk3-nocsd (3-1) unstable; urgency=medium

  * Imported new upstream version 3.
      - Add bash completion support. (Closes: #824615)
      - Also override GtkDialog's GtkBuildable->add_child.
        (Closes: #824614)
      - Don't use compositor trick in Gtk+3 3.16.1 or higher.
        (Closes: #824616)
      - Don't remove menu titlebar decoration. (Closes: #824758)
      - Cosmetic improvements to the headerbar. (Closes: #824617)
  * debian/libgtk3-noscd0.symbols: add symbols from new upstream version.
  * README.Debian: add instructions for the Multi-Arch case.
  * Ship /etc/X11/Xsession.d/01gtk3-nocsd by default. (Closes: #824620)
  * debian/control: Bump Standards-Version to 3.9.8. (No changes.)
  * Xsession scripts: properly handle package removal without purge.
  * Process README.md with markdown to create nice HTML file.

 -- Christian Seiler <christian@iwakd.de>  Tue, 31 May 2016 21:21:22 +0200

gtk3-nocsd (2-1) unstable; urgency=low

  * Initial release. (Closes: #788076)

 -- Christian Seiler <christian@iwakd.de>  Sat, 19 Mar 2016 13:47:08 +0100
