=== debian/control ===
Source: gtk3-nocsd
Maintainer: Christian Seiler <christian@iwakd.de>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               discount
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/gtk3-nocsd
Vcs-Git: https://salsa.debian.org/debian/gtk3-nocsd.git
Homepage: https://github.com/PCMan/gtk3-nocsd
Rules-Requires-Root: no

Package: gtk3-nocsd
Architecture: all
Depends: libgtk3-nocsd0,
         ${misc:Depends}
Description: Disable Gtk+ 3 client side decorations (CSD)
 gtk3-nocsd LD_PRELOADs a small library to disable the client side
 decorations (CSD) of Gtk+ 3.
 .
 Since Gtk+ 3.10, its developers added a so-called header bar or custom
 title bar. With this and the client-side decoration, the original
 title bar and window border provided by the window manager are
 disabled by Gtk+. This makes all Gtk+ 3 programs look like alike, but
 have different handling from other windows on non-GNOME desktops. Even
 worse, this may break some window manager or compositors.
 .
 Unfortunately, there is no reliable way of turning off CSDs in Gtk+
 directly. This library makes this possible.

Package: libgtk3-nocsd0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library to disable Gtk+ 3 client side decorations (CSD)
 libgtk3-nocsd is a small LD_PRELOADable library used to disable the
 client side decorations (CSD) of Gtk+ 3.
 .
 Since Gtk+ 3.10, its developers added a so-called header bar or custom
 title bar. With this and the client-side decoration, the original
 title bar and window border provided by the window manager are
 disabled by Gtk+. This makes all Gtk+ 3 programs look like alike, but
 have different handling from other windows on non-GNOME desktops. Even
 worse, this may break some window manager or compositors.
 .
 Unfortunately, there is no reliable way of turning off CSDs in Gtk+
 directly. This library makes this possible.
