=== debian/changelog ===
gtk3-nocsd (3.0.7+git20210623-1) mx; urgency=medium

  * New release from ZaWertun fork of abandoned PCMan code

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 01 Aug 2021 11:38:39 -0400
