=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
 Source: gtk3-nocsd
-Maintainer: Christian Seiler <christian@iwakd.de>
 Section: x11
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Priority: extra
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+XSBC-Original-Maintainer: Christian Seiler <christian@iwakd.de>
+Build-Depends: debhelper (>= 9),
                libgirepository1.0-dev,
                libglib2.0-dev,
                libgtk-3-dev,
-               discount
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/debian/gtk3-nocsd
-Vcs-Git: https://salsa.debian.org/debian/gtk3-nocsd.git
-Homepage: https://github.com/PCMan/gtk3-nocsd
-Rules-Requires-Root: no
+               markdown
+Standards-Version: 3.9.8
+Homepage: https://github.com/ZaWertun/gtk3-nocsd
 
 Package: gtk3-nocsd
 Architecture: all
-Depends: libgtk3-nocsd0,
-         ${misc:Depends}
+Depends: libgtk3-nocsd0, ${misc:Depends}
 Description: Disable Gtk+ 3 client side decorations (CSD)
  gtk3-nocsd LD_PRELOADs a small library to disable the client side
  decorations (CSD) of Gtk+ 3.
@@ -32,11 +29,9 @@
  directly. This library makes this possible.
 
 Package: libgtk3-nocsd0
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
-Section: libs
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
 Description: Library to disable Gtk+ 3 client side decorations (CSD)
  libgtk3-nocsd is a small LD_PRELOADable library used to disable the
  client side decorations (CSD) of Gtk+ 3.
