=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gtk3-nocsd-$1\.tar\.gz/ \
  https://github.com/ZaWertun/gtk3-nocsd/releases .*/v?(\d\S*)\.tar\.gz
